declare filename "sinatan_saturator.dsp"; declare name "sinatan_saturator"; // sinatan saturator

ba = library("basics.lib");
ma = library("maths.lib");
si = library ("signals.lib");

sinatan(x) = x/sqrt(1+x*x);

drive = hslider("drive", 1.0, 1., 1000.0, 0.00001):si.smoo;
gain = hslider("gain", 1.0, 1., 1000.0, 0.00001):si.smoo;

process = _ *drive : sinatan : _ /drive*gain;